// testerDlg.h : header file
//

#pragma once

class CtesterDlgAutoProxy;


// CtesterDlg dialog
class CtesterDlg : public CDialog
{
	DECLARE_DYNAMIC(CtesterDlg);
	friend class CtesterDlgAutoProxy;

// Construction
public:
	CtesterDlg(CWnd* pParent = NULL);	// standard constructor
	virtual ~CtesterDlg();
	void UpdateOutput(CString addToOutput);

// Dialog Data
	enum { IDD = IDD_TESTER_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	CtesterDlgAutoProxy* m_pAutoProxy;
	HICON m_hIcon;

	BOOL CanExit();

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	virtual void OnOK();
	virtual void OnCancel();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedBrowse();
	afx_msg void OnBnClickedCancel();
	CString m_output;
	afx_msg void OnBnClickedLogin();
	int m_testnum;
};
